package gmt.protocol.ais.sensor;

public class SensorTilt extends Sensors {

	private int	sign_roll1; 		//!<  1 bits : sign(0 : -, 1 : +)
	private int	roll1;              //!<  8 bits : tilt_roll1(0 ~ 180, 181 = N/A = default)
	private int	sign_pitch1;        //!<  1 bits : sign(0 : -, 1 : +)
	private int	pitch1;             //!<  8 bits : tilt_pitch1(0 ~ 180, 181 = N/A = default)
	private int	sign_roll2;         //!<  1 bits : sign(0 : -, 1 : +)
	private int	roll2;              //!<  8 bits : tilt_roll2(0 ~ 180, 181 = N/A = default)
	private int	sign_pitch2;        //!<  1 bits : sign(0 : -, 1 : +)
	private int	pitch2;             //!<  8 bits : tilt_pitch2(0 ~ 180, 181 = N/A = default)
	private int	sign_roll3;         //!<  1 bits : sign(0 : -, 1 : +)
	private int	roll3;              //!<  8 bits : tilt_roll3(0 ~ 180, 181 = N/A = default)
	private int	sign_pitch3;        //!<  1 bits : sign(0 : -, 1 : +)
	private int	pitch3;             //!<  8 bits : tilt_pitch3(0 ~ 180, 181 = N/A = default)
	private int	sign_roll4;         //!<  1 bits : sign(0 : -, 1 : +)
	private int	roll4;              //!<  8 bits : tilt_roll4(0 ~ 180, 181 = N/A = default)
	private int	sign_pitch4;        //!<  1 bits : sign(0 : -, 1 : +)
	private int	pitch4;             //!<  8 bits : tilt_pitch4(0 ~ 180, 181 = N/A = default)
	
	
	public SensorTilt() {
		super();
	}
	
	public int sign_roll1() { return this.sign_roll1; }
	public int roll1() { return this.roll1; }
	
	public int sign_pitch1() { return this.sign_pitch1; }
	public int pitch1() { return this.pitch1; }
	
	public int sign_roll2() { return this.sign_roll2; }
	public int roll2() { return this.roll2; }
	
	public int sign_pitch2() { return this.sign_pitch2; }
	public int pitch2() { return this.pitch2; }
	
	public int sign_roll3() { return this.sign_roll3; }
	public int roll3() { return this.roll3; }
	
	public int sign_pitch3() { return this.sign_pitch3; }
	public int pitch3() { return this.pitch3; }
	
	public int sign_roll4() { return this.sign_roll4; }
	public int roll4() { return this.roll4; }
	
	public int sign_pitch4() { return this.sign_pitch4; }
	public int pitch4() { return this.pitch4; }
	
	public void setSign_Roll1(int value) {
		this.sign_roll1 = value;
	}
	public void setRoll1(int value) {
		this.roll1 = value;
	}
	public void setSign_Pitch1(int value) {
		this.sign_pitch1 = value;
	}
	public void setPitch1(int value) {
		this.pitch1 = value;
	}
	
	public void setSign_Roll2(int value) {
		this.sign_roll2 = value;
	}
	public void setRoll2(int value) {
		this.roll2 = value;
	}
	public void setSign_Pitch2(int value) {
		this.sign_pitch2 = value;
	}
	public void setPitch2(int value) {
		this.pitch2 = value;
	}
	
	public void setSign_Roll3(int value) {
		this.sign_roll3 = value;
	}
	public void setRoll3(int value) {
		this.roll3 = value;
	}
	public void setSign_Pitch3(int value) {
		this.sign_pitch3 = value;
	}
	public void setPitch3(int value) {
		this.pitch3 = value;
	}
	
	public void setSign_Roll4(int value) {
		this.sign_roll4 = value;
	}
	public void setRoll4(int value) {
		this.roll4 = value;
	}
	public void setSign_Pitch4(int value) {
		this.sign_pitch4 = value;
	}
	public void setPitch4(int value) {
		this.pitch4 = value;
	}
}
